SystemOrganization addCategory: #'PW-Components'!

ALExamplePage subclass: #PWNavBarComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Components'!

!PWNavBarComponent methodsFor: 'as yet unclassified' stamp: 'chc 7/5/2016 08:50'!
initialize
	examples := {
		'unicode' -> PWPageView.
		'streaming' -> PWFormView.
		'counter' -> ALCounterExample.
		'ajax counter' -> ALAjaxCounterExample.
		'pjax counter' -> ALPjaxCounterExample.
		"'form' -> PWFormExamplesPage."
	}.
	current := examples first value new.! !

!PWNavBarComponent methodsFor: 'as yet unclassified' stamp: 'chc 7/5/2016 08:49'!
renderBodyOn: html
html div class: 'blog-masthead'; with: [self renderNavBarOn: html].
html div class: 'container'; with: [
	html div class: 'blog-header'; with: [ 
		html h1 class: 'blog-title'; with: 'The Bootstrap Blog'.
		html p class: 'lead blog-description'; with: 'The official example tempalte of creating a blog with Bootstrap.'].
	html div class: 'row'; with: [
		html div class: 'col-sm-8 blog-main'; with: [
			html div class: 'blog-post'; with: [
				html  h2 class: 'blog-post-title'; with: 'Sample blog post'.
				html p class: 'blog-post-meta'; with: 'January 1, 2014'.
				html p: 'This blog post shows a few different types of content that''s supported and styled with Bootstrap. Basic typography, images, and code are all supported.'.
			current renderOn: html]].
		html div class: 'col-sm-3 col-sm-offset-1 blog-sidebar'; with: [
			html div class: 'sidebar-module sidebar-module-inset'; with: [
				html h4: 'About'.
				html p: 'Etiam porta sed malesuada magna mollis eusimod. Cras mattis consectetur purus sit amet fermentum. Aenean lacinia bibendum nulla sed consectetur.'].
		html div class: 'sidebar-module'; with: [
			html h4: 'Archives'.
			html ol class: 'list-unstyled'; with: [
				html li with: [html a href: ''; with: 'March 2014'].
				html li with: [html a href: ''; with: 'February 2014'].
				html li with: [html a href: ''; with: 'January 2014']].
		html div class: 'sidebar-module'; with: [
			html h4: 'Elesewhere'.
			html ol class: 'list-unstyled'; with: [
				html li with: [html a href: ''; with: 'GitHub'].
				html li with: [html a href: ''; with: 'Twitter'].
				html li with: [html a href: ''; with: 'Facebook']].
				
			]]]]]! !

!PWNavBarComponent methodsFor: 'as yet unclassified' stamp: 'chc 7/5/2016 08:09'!
renderHtmlOn: html
	html html: 
		[html head: 
			[html title: 'ooplu'.
			 html script: '(function(i,s,o,g,r,a,m){i[''GoogleAnalyticsObject'']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,''script'',''https://www.google-analytics.com/analytics.js'',''ga'');

  ga(''create'', ''UA-77482044-1'', ''auto'');
  ga(''send'', ''pageview'');'.
			html link rel: 'stylesheet'; href: 'bootstrap.min.css'.
			html link rel: 'stylesheet'; href: 'blog.css' ].
		html body: [ self renderBodyOn: html ] ]! !

!PWNavBarComponent methodsFor: 'as yet unclassified' stamp: 'chc 7/5/2016 08:14'!
renderNavBarOn: html
html div class: 'container'; with: [
	html nav class: 'blog-nav'; with:
		[examples do:
			[:pair | 
				html a class: 'blog-nav-item'; navigate: [current := pair value new]; with: pair key]]]! !

Object subclass: #PWAjaxComponent
	instanceVariableNames: 'html'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Components'!

!PWAjaxComponent class methodsFor: 'as yet unclassified' stamp: 'chc 1/2/2016 09:16'!
html: aString
	^self basicNew
		initializeWithWikiString: aString! !

!PWAjaxComponent methodsFor: 'accessing' stamp: 'chc 1/2/2016 09:17'!
html 
	^html! !

!PWAjaxComponent methodsFor: 'accessing' stamp: 'chc 1/4/2016 10:32'!
html: anObject
	html := anObject! !

!PWAjaxComponent methodsFor: 'as yet unclassified' stamp: 'chc 1/2/2016 09:16'!
initializeWithWikiString: aString
	html := aString
	! !

!PWAjaxComponent methodsFor: 'as yet unclassified' stamp: 'chc 1/2/2016 09:17'!
renderOn: json
	json object:
		[json name: 'count' value: html]! !
